
package org.mule.module.hbase.adapters;

import org.mule.api.Capabilities;
import org.mule.api.Capability;


/**
 * A <code>HbaseCloudConnectorCapabilitiesAdapter</code> is a wrapper around {@link org.mule.module.hbase.HbaseCloudConnector } that implements {@link org.mule.api.Capabilities} interface.
 * 
 */
public class HbaseCloudConnectorCapabilitiesAdapter
    extends org.mule.module.hbase.HbaseCloudConnector
    implements Capabilities
{


    /**
     * Returns true if this module implements such capability
     * 
     */
    public boolean isCapableOf(Capability capability) {
        if (capability == Capability.LIFECYCLE_CAPABLE) {
            return true;
        }
        return false;
    }

}
